net.fortuna.ical4j.model.property

## Class Organizer

- java.lang.Object
- - net.fortuna.ical4j.model.Content
  - - net.fortuna.ical4j.model.Property
    - - net.fortuna.ical4j.model.property.Organizer

All Implemented Interfaces:
  Serializable

    public class Organizer
    extends Property

$Id$ Created: [Apr 6, 2004] Defines an ORGANIZER iCalendar component property.

         4.8.4.3 Organizer

            Property Name: ORGANIZER

            Purpose: The property defines the organizer for a calendar component.

            Value Type: CAL-ADDRESS

            Property Parameters: Non-standard, language, common name, directory
            entry reference, sent by property parameters can be specified on this
            property.

            Conformance: This property MUST be specified in an iCalendar object
            that specifies a group scheduled calendar entity. This property MUST
            be specified in an iCalendar object that specifies the publication of
            a calendar user's busy time. This property MUST NOT be specified in
            an iCalendar object that specifies only a time zone definition or
            that defines calendar entities that are not group scheduled entities,
            but are entities only on a single user's calendar.

            Description: The property is specified within the "VEVENT", "VTODO",
            "VJOURNAL calendar components to specify the organizer of a group
            scheduled calendar entity. The property is specified within the
            "VFREEBUSY" calendar component to specify the calendar user
            requesting the free or busy time. When publishing a "VFREEBUSY"
            calendar component, the property is used to specify the calendar that
            the published busy time came from.

            The property has the property parameters CN, for specifying the
            common or display name associated with the "Organizer", DIR, for
            specifying a pointer to the directory information associated with the
            "Organizer", SENT-BY, for specifying another calendar user that is
            acting on behalf of the "Organizer". The non-standard parameters may
            also be specified on this property. If the LANGUAGE property
            parameter is specified, the identified language applies to the CN
            parameter value.

            Format Definition: The property is defined by the following notation:

              organizer  = "ORGANIZER" orgparam ":"
                           cal-address CRLF

              orgparam   = *(

                         ; the following are optional,
                         ; but MUST NOT occur more than once

                         (";" cnparam) / (";" dirparam) / (";" sentbyparam) /
                         (";" languageparam) /

                         ; the following is optional,
                         ; and MAY occur more than once

                         (";" xparam)

                         )

            Example: The following is an example of this property:

              ORGANIZER;CN=John Smith:MAILTO:jsmith@host1.com

            The following is an example of this property with a pointer to the
            directory information associated with the organizer:

              ORGANIZER;CN=JohnSmith;DIR="ldap://host.com:6666/o=3DDC%20Associ
               ates,c=3DUS??(cn=3DJohn%20Smith)":MAILTO:jsmith@host1.com

            The following is an example of this property used by another calendar
            user who is acting on behalf of the organizer, with responses
            intended to be sent back to the organizer, not the other calendar
            user:

              ORGANIZER;SENT-BY="MAILTO:jane_doe@host.com":
               MAILTO:jsmith@host1.com

Author:
  Ben Fortuna
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class net.fortuna.ical4j.model.Property

`ACTION, ATTACH, ATTENDEE, BUSYTYPE, CALSCALE, CATEGORIES, CLASS, COMMENT, COMPLETED, CONTACT, COUNTRY, CREATED, DESCRIPTION, DTEND, DTSTAMP, DTSTART, DUE, DURATION, EXDATE, EXPERIMENTAL_PREFIX, EXRULE, EXTENDED_ADDRESS, FREEBUSY, GEO, LAST_MODIFIED, LOCALITY, LOCATION, LOCATION_TYPE, METHOD, NAME, ORGANIZER, PERCENT_COMPLETE, POSTALCODE, PRIORITY, PRODID, RDATE, RECURRENCE_ID, REGION, RELATED_TO, REPEAT, REQUEST_STATUS, RESOURCES, RRULE, SEQUENCE, STATUS, STREET_ADDRESS, SUMMARY, TEL, TRANSP, TRIGGER, TZID, TZNAME, TZOFFSETFROM, TZOFFSETTO, TZURL, UID, URL, VERSION`

### Constructor Summary

Constructors
Constructor and Description
`Organizer()` Default constructor.
`Organizer(ParameterList aList, String aValue)`
`Organizer(ParameterList aList, URI aUri)`
`Organizer(String value)` Constructs a new instance with the specified value.
`Organizer(URI aUri)`

### Method Summary

Methods
`URI` `getCalAddress()`
`String` `getValue()`
`void` `setCalAddress(URI calAddress)`
`void` `setValue(String aValue)` Sets the current value of the property.
`void` `validate()` Perform validation on a property.

### Methods inherited from class net.fortuna.ical4j.model.Property

`copy, equals, getName, getParameter, getParameters, getParameters, hashCode, isCalendarProperty, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Organizer

    public Organizer()

Default constructor.

#### Organizer

    public Organizer(String value)
              throws URISyntaxException

Constructs a new instance with the specified value.

Parameters:
  `value` - an organizer URI
Throws:
  `URISyntaxException` - where the specified value is not a valid URI

#### Organizer

    public Organizer(ParameterList aList,
             String aValue)
              throws URISyntaxException

Parameters:
  `aList` - a list of parameters for this component
  `aValue` - a value string for this component
Throws:
  `URISyntaxException` - where the specified value string is not a valid uri

#### Organizer

    public Organizer(URI aUri)

Parameters:
  `aUri` - a URI representation of a calendar address

#### Organizer

    public Organizer(ParameterList aList,
             URI aUri)

Parameters:
  `aList` - a list of parameters for this component
  `aUri` - a URI representation of a calendar address

### Method Detail

#### validate

    public final void validate()
                        throws ValidationException

Perform validation on a property.

Specified by:
  `validate` in class `Property`
Throws:
  `ValidationException` - where the property is not in a valid state

#### getCalAddress

    public final URI getCalAddress()

Returns:
  Returns the calAddress.

#### setValue

    public final void setValue(String aValue)
                        throws URISyntaxException

Sets the current value of the property.

Specified by:
  `setValue` in class `Property`
Parameters:
  `aValue` - a string representation of the property value
Throws:
  `URISyntaxException` - possibly thrown by setting the value of certain properties

#### getValue

    public final String getValue()

Specified by:
  `getValue` in class `Content`
Returns:
  the content value

#### setCalAddress

    public final void setCalAddress(URI calAddress)

Parameters:
  `calAddress` - The calAddress to set.